%define fw_version 5.43

Summary:	KDE Frameworks 5 crash analysis and bug report module
Name:		kcrash
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	kwindowsystem-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)

%description
KDE Frameworks 5 crash analysis and bug report module.

KCrash provides support for intercepting and handling application crashes.

%files
%{_kde5_configdir}/kcrash.categories

#----------------------------------------------------------------------------

%define kf5crash_major 5
%define libkf5crash %mklibname kf5crash %{kf5crash_major}

%package -n %{libkf5crash}
Summary:	KDE Frameworks 5 crash analysis and bug report shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5crash}
KDE Frameworks 5 crash analysis and bug report shared library.

%files -n %{libkf5crash}
%{_kde5_libdir}/libKF5Crash.so.%{kf5crash_major}*

#----------------------------------------------------------------------------

%define devkf5crash %mklibname kf5crash -d

%package -n %{devkf5crash}
Summary:	Development files for KDE Frameworks 5 crash analysis and bug report module
Group:		Development/KDE and Qt
Requires:	%{libkf5crash} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5crash-devel = %{version}

%description -n %{devkf5crash}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5crash}
%{_kde5_includedir}/KF5/KCrash
%{_kde5_includedir}/KF5/kcrash_version.h
%{_kde5_libdir}/cmake/KF5Crash
%{_kde5_libdir}/libKF5Crash.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Fri Feb 16 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (1a5faab) Add new files to main package
- (Andrey Bondrov: 98ab4d1) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (7cf74cf) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (1282283) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (f1a607a) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (9fb50c3) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (a8d2f50) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (01bf3cf) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (c782b62) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (95810e8) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (3ac8771) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (e908e4b) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (b1afbbb) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (f774b07) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (0fb785e) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (3ee9ad1) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (551dab7) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (a6174cf) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (838e801) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (9add0dc) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (6f9083a) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (c5d3a8f) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (b25cca1) New version 5.15.0

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-3
- (97bc0ee) MassBuild#822: Increase release tag

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-2
- (bb11327) MassBuild#821: Increase release tag

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (a5c9c7f) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (23b12a1) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (0ca1ab9) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (47204ac) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (5bf4cec) New version 5.10.0


